// Porte ET, herite de composant
public class Et extends Composant {

	// Numero de la porte (pour Name)
	static int n = 1;
	
	public Et(int n_in, int n_out){
		super(n_in, n_out);
		// Initialise le nom, surnom, abbrevation
		charName 	  = "&";
		composantName = "Et";
		Name		  = "Et_"+(n++);
	}
	
	// Appele lors du changement d'etat d'un pin
	protected void doWork() {
		boolean state = true; // De base les pins de sorties sont "On"
		for(Pin pin : pin_in)
			if(!pin.isOn()){ state = false; break; } // Tant qu'on ne trouve pas une entrée a "Off"
		for(Pin pin : pin_out) // On met la valeur a tous les pins de sorties
			pin.setState(state);
	}

}
